Bug 351561 - No alert reminders when evo not running
No alert reminders when evo not running
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-24 20:04 EDT by morgan read
Modified: 2009-06-28 21:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-28 21:23:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 587254 None None None Never

  None (edit)
Description morgan read 2007-10-24 20:04:50 EDT
Description of problem:
No gnome or evolution alert reminders when evo not running

Version-Release number of selected component (if applicable):
Evolution 2.10.3

How reproducible:
Always

Steps to Reproduce:
1. Schedule events
2. Run gnome without evo
3. No reminders
  
Actual results:
No reminders

Expected results:
Reminders

Additional info:
Reminders work when evolution running
Comment 1 Matthew Barnes 2007-10-24 21:59:10 EDT
The alarm notification mechanism lives in Evolution, and so Evolution has to be
started in order for the alarm-notify daemon to be spawned.  Thereafter, you
should continue to get reminders even after closing Evolution.
Comment 2 morgan read 2007-10-27 21:31:52 EDT
Sorry to re-open this, but I think a better explanation is required.  On fc5,
gnome started evolution-alarm-notify without any problems (didn't need evolution
first) and from a quick search of the net it seems evolution-alarm-notify is
expected to run at gnome login (as it has done):
http://www.debianhelp.org/node/9746  Also, it seems counter-intuitive that
evolution-alarm-notify should require evolution: if you've got evolution running
why would you need additional pop-ups?

A work-around (and possible fix) seems to be simply add
/usr/libexec/evolution/2.10/evolution-alarm-notify to the Sessions' Start Up
Programs - why is this no longer the default for fedora's desktop?
Comment 3 Milan Crha 2007-11-22 07:26:31 EST
Based on the code of evolution-alarm-notify:
	/* The daemon should always be started up by the session manager when
	 * the session starts.  The daemon will take care of loading whatever
	 * calendars it was told to load.
	 */
	gnome_client_set_restart_style (master_client, GNOME_RESTART_IF_RUNNING);

I see only three possible issues here:
a) you use other desktop environment, or
b) the evolution-alarm-notify is closed before the session ends, or
c) the above code doesn't work
Comment 4 Bug Zapper 2009-06-09 19:07:16 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Matthew Barnes 2009-06-28 21:23:46 EDT
Moving this upstream for better visibility.
Please see [1] for further updates.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=587254

Note You need to log in before you can comment on or make changes to this bug.